## org.eclipse.ocl.cst
Interface IterateExpCS

All Superinterfaces:
  CallExpCS, CSTNode, EObject, LoopExpCS, Notifier, OCLExpressionCS

All Known Implementing Classes:
  IterateExpCSImpl

    public interface IterateExpCS

extends LoopExpCS

A representation of the model object 'Iterate Exp CS'.

See Also:
  `CSTPackage.getIterateExpCS()`

Method Summary

Methods inherited from interface org.eclipse.ocl.cst.LoopExpCS
`getBody, getVariable1, getVariable2, setBody, setVariable1, setVariable2`

Methods inherited from interface org.eclipse.ocl.cst.CallExpCS
`getAccessor, getSimpleNameCS, getSource, setAccessor, setSimpleNameCS, setSource`

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.